/**
 * @author Rmi Heredero
 * @version. 0.0.0
 * @date August 2023
 * @file kartculator.h
 */

#ifndef KARTCULATOR_H
#define	KARTCULATOR_H

#include <stdint.h>         // usage of standard types
#include <stdbool.h>        // usage of boolean types
#include "../mcc_generated_files/mcc.h"
#include "car.h"

void deadJoystick(void* p);
void calcTorque(uint8_t joy_pos);
void calcPosition(uint8_t joy_pos);
void calcSpeed(int32_t rpm);
int16_t getTorque();
uint32_t getPosition();
uint8_t getSpeed();

#endif	/* KARTCULATOR_H */

