#include "mcc_generated_files/mcc.h"
#include "xf/xf.h"
#include "app/factory/factory.h"

void main(void)
{
    
    SYSTEM_Initialize();

    XF_init();
    
    Factory_init();
    Factory_build();
    Factory_start();
    //WWDT_SoftEnable();
    
    TMR0_SetInterruptHandler(XF_decrementAndQueueTimers);
    
    INTERRUPT_GlobalInterruptEnable();

    while (1)
    {
        
        WWDT_TimerClear();
        XF_executeOnce();
        
    }
}